commit 726e6f798bc2a18b019a23ba48ee6ddbf68ebf7f
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Fri Nov 14 11:58:10 2025 +0000

    Build: fix spf dynamic-module build
    
    Broken-by: 998636a4f849

diff --git a/src/src/EDITME b/src/src/EDITME
index d38ac98e5..a2dddd780 100644
--- a/src/src/EDITME
+++ b/src/src/EDITME
@@ -406,7 +406,8 @@ TRANSPORT_SMTP=yes
 # for the specialist case of using the DNS as a general database facility (not
 # common).
 # If set to "2" instead of "yes" then the corresponding lookup will be
-# built as a module and must be installed into LOOKUP_MODULE_DIR. You need to
+# built as a module and left in the "dynlibs" directory under the build
+# directory. They must be installed into LOOKUP_MODULE_DIR. You need to
 # add -export-dynamic -rdynamic to EXTRALIBS. You may also need to add -ldl to
 # EXTRALIBS so that dlopen() is available to Exim. You need to define
 # LOOKUP_MODULE_DIR above so the exim binary actually loads dynamic lookup
diff --git a/src/src/lookups/spf.c b/src/src/lookups/spf.c
index ce314f7e5..bfce04fa7 100644
--- a/src/src/lookups/spf.c
+++ b/src/src/lookups/spf.c
@@ -86,11 +86,15 @@ return FAIL;
 gstring *
 spf_version_report(gstring * g)
 {
+#if EXIM_HAVE_SPF == 2
+return g;
+#else
 int maj, min, patch;
 
 SPF_get_lib_version(&maj, &min, &patch);
 return string_fmt_append(g, "Library version: SPF: Runtime: %d.%d.%d\n",
       maj, min, patch);
+#endif
 }
 
 

